create table "public"."channel" (
    "id" bigint generated by default as identity not null,
    "created_at" timestamp with time zone not null default now()
);


alter table "public"."channel" enable row level security;

create table "public"."chat_message" (
    "id" bigint generated by default as identity not null,
    "created_at" timestamp with time zone not null default now()
);


alter table "public"."chat_message" enable row level security;

create table "public"."public_profile" (
    "id" bigint generated by default as identity not null,
    "created_at" timestamp with time zone not null default now()
);


alter table "public"."public_profile" enable row level security;

CREATE UNIQUE INDEX channel_pkey ON public.channel USING btree (id);

CREATE UNIQUE INDEX chat_message_pkey ON public.chat_message USING btree (id);

CREATE UNIQUE INDEX public_profile_pkey ON public.public_profile USING btree (id);

alter table "public"."channel" add constraint "channel_pkey" PRIMARY KEY using index "channel_pkey";

alter table "public"."chat_message" add constraint "chat_message_pkey" PRIMARY KEY using index "chat_message_pkey";

alter table "public"."public_profile" add constraint "public_profile_pkey" PRIMARY KEY using index "public_profile_pkey";

grant delete on table "public"."channel" to "anon";

grant insert on table "public"."channel" to "anon";

grant references on table "public"."channel" to "anon";

grant select on table "public"."channel" to "anon";

grant trigger on table "public"."channel" to "anon";

grant truncate on table "public"."channel" to "anon";

grant update on table "public"."channel" to "anon";

grant delete on table "public"."channel" to "authenticated";

grant insert on table "public"."channel" to "authenticated";

grant references on table "public"."channel" to "authenticated";

grant select on table "public"."channel" to "authenticated";

grant trigger on table "public"."channel" to "authenticated";

grant truncate on table "public"."channel" to "authenticated";

grant update on table "public"."channel" to "authenticated";

grant delete on table "public"."channel" to "service_role";

grant insert on table "public"."channel" to "service_role";

grant references on table "public"."channel" to "service_role";

grant select on table "public"."channel" to "service_role";

grant trigger on table "public"."channel" to "service_role";

grant truncate on table "public"."channel" to "service_role";

grant update on table "public"."channel" to "service_role";

grant delete on table "public"."chat_message" to "anon";

grant insert on table "public"."chat_message" to "anon";

grant references on table "public"."chat_message" to "anon";

grant select on table "public"."chat_message" to "anon";

grant trigger on table "public"."chat_message" to "anon";

grant truncate on table "public"."chat_message" to "anon";

grant update on table "public"."chat_message" to "anon";

grant delete on table "public"."chat_message" to "authenticated";

grant insert on table "public"."chat_message" to "authenticated";

grant references on table "public"."chat_message" to "authenticated";

grant select on table "public"."chat_message" to "authenticated";

grant trigger on table "public"."chat_message" to "authenticated";

grant truncate on table "public"."chat_message" to "authenticated";

grant update on table "public"."chat_message" to "authenticated";

grant delete on table "public"."chat_message" to "service_role";

grant insert on table "public"."chat_message" to "service_role";

grant references on table "public"."chat_message" to "service_role";

grant select on table "public"."chat_message" to "service_role";

grant trigger on table "public"."chat_message" to "service_role";

grant truncate on table "public"."chat_message" to "service_role";

grant update on table "public"."chat_message" to "service_role";

grant delete on table "public"."public_profile" to "anon";

grant insert on table "public"."public_profile" to "anon";

grant references on table "public"."public_profile" to "anon";

grant select on table "public"."public_profile" to "anon";

grant trigger on table "public"."public_profile" to "anon";

grant truncate on table "public"."public_profile" to "anon";

grant update on table "public"."public_profile" to "anon";

grant delete on table "public"."public_profile" to "authenticated";

grant insert on table "public"."public_profile" to "authenticated";

grant references on table "public"."public_profile" to "authenticated";

grant select on table "public"."public_profile" to "authenticated";

grant trigger on table "public"."public_profile" to "authenticated";

grant truncate on table "public"."public_profile" to "authenticated";

grant update on table "public"."public_profile" to "authenticated";

grant delete on table "public"."public_profile" to "service_role";

grant insert on table "public"."public_profile" to "service_role";

grant references on table "public"."public_profile" to "service_role";

grant select on table "public"."public_profile" to "service_role";

grant trigger on table "public"."public_profile" to "service_role";

grant truncate on table "public"."public_profile" to "service_role";

grant update on table "public"."public_profile" to "service_role";


